summaryrefslogtreecommitdiffstats
path: root/abs/extra-testing/subversion/svnserve
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-10-30 22:36:21 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-10-30 22:36:21 (GMT)
commit64d2b0ed73143b52c5f342239095fb317fa192b2 (patch)
tree99335c05d8fca50d5a52455d2e9a00cad50311d7 /abs/extra-testing/subversion/svnserve
parent58760d0e2f548a398db676c32f4dce2b10a1504b (diff)
downloadlinhes_pkgbuild-64d2b0ed73143b52c5f342239095fb317fa192b2.zip
linhes_pkgbuild-64d2b0ed73143b52c5f342239095fb317fa192b2.tar.gz
linhes_pkgbuild-64d2b0ed73143b52c5f342239095fb317fa192b2.tar.bz2
add subversion and neon
Diffstat (limited to 'abs/extra-testing/subversion/svnserve')
-rwxr-xr-xabs/extra-testing/subversion/svnserve42
1 files changed, 42 insertions, 0 deletions
diff --git a/abs/extra-testing/subversion/svnserve b/abs/extra-testing/subversion/svnserve
new file mode 100755
index 0000000..2f433b6
--- /dev/null
+++ b/abs/extra-testing/subversion/svnserve
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/svnserve
+
+PID=`pidof -o %PPID /usr/bin/svnserve`
+case "$1" in
+ start)
+ stat_busy "Starting svnserve"
+ if [ -z "$PID" ]; then
+ if [ -n "$SVNSERVE_USER" ]; then
+ su $SVNSERVE_USER -c "/usr/bin/svnserve -d $SVNSERVE_ARGS" &
+ else
+ /usr/bin/svnserve -d $SVNSERVE_ARGS &
+ fi
+ fi
+ if [ ! -z "$PID" -o $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon svnserve
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping svnserve"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon svnserve
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac